import request from '@/config/axios'

export interface IndItemCategoryVO {
  id: string
  label: string
  pid: string
  sort: number
}

export interface IndItemCategoryReqVO {
  label?: string
}

// 查询列表
export const getCategoryList = (params) => {
  return request.get({ url: '/data/ind/category/list', params})
}

// 查询列表
export const getCategoryListAllSimple = () => {
  return request.get({ url: '/data/ind/category/list-all-simple'})
}

// 查询详情
export const getCategory = (id: number) => {
  return request.get({ url: '/data/ind/category/get?id=' + id})
}

// 新增
export const createCategory = (data: ScheduleModelVO) => {
  return request.post({ url: '/data/ind/category/create', data })
}

// 修改
export const updateCategory = (data: ScheduleModelVO) => {
  return request.put({ url: '/data/ind/category/update', data })
}

// 删除
export const deleteCategory = (id: number) => {
  return request.delete({ url: '/data/ind/category/delete?id=' + id })
}
